Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
BLOCK_RES Class Reference

`#include <pageres.h>`

Inheritance diagram for BLOCK_RES:

List of all members.

## Public Member Functions

| BLOCK_RES ()
| BLOCK_RES (BLOCK *the_block)
| ~BLOCK_RES ()
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Public Attributes

BLOCK * | block
inT32 | char_count
inT32 | rej_count
inT16 | font_class
inT16 | row_count
float | x_height
BOOL8 | font_assigned
BOOL8 | bold
BOOL8 | italic
ROW_RES_LIST | row_res_list

## Detailed Description

Definition at line 256 of file pageres.h.

## Constructor & Destructor Documentation

BLOCK_RES::BLOCK_RES | ( |  | ) |

inline

Definition at line 271 of file pageres.h.

{
} // empty constructor

BLOCK_RES::BLOCK_RES | ( | BLOCK * | the_block | ) |

Definition at line 110 of file pageres.cpp.

{
ROW_IT row_it (the_block->row_list ());
ROW_RES_IT row_res_it(&row_res_list);
char_count = 0;
rej_count = 0;
font_class = -1; //not assigned
x_height = -1.0;
font_assigned = FALSE;
bold = FALSE;
italic = FALSE;
row_count = 0;
block = the_block;
for (row_it.mark_cycle_pt(); !row_it.cycled_list(); row_it.forward()) {
row_res_it.add_to_end(new ROW_RES(row_it.data()));
}
}

BLOCK_RES::~BLOCK_RES | ( |  | ) |

inline

Definition at line 276 of file pageres.h.

{ // destructor
}

## Member Data Documentation

BLOCK* BLOCK_RES::block

Definition at line 258 of file pageres.h.

BOOL8 BLOCK_RES::bold

Definition at line 266 of file pageres.h.

inT32 BLOCK_RES::char_count

Definition at line 259 of file pageres.h.

BOOL8 BLOCK_RES::font_assigned

Definition at line 264 of file pageres.h.

inT16 BLOCK_RES::font_class

Definition at line 261 of file pageres.h.

BOOL8 BLOCK_RES::italic

Definition at line 267 of file pageres.h.

inT32 BLOCK_RES::rej_count

Definition at line 260 of file pageres.h.

inT16 BLOCK_RES::row_count

Definition at line 262 of file pageres.h.

ROW_RES_LIST BLOCK_RES::row_res_list

Definition at line 269 of file pageres.h.

float BLOCK_RES::x_height

Definition at line 263 of file pageres.h.

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/ccstruct/pageres.h
- /mnt/data/src/tesseract-ocr/ccstruct/pageres.cpp